aboutsummaryrefslogtreecommitdiffstats
path: root/tools/execute_command.sh
diff options
context:
space:
mode:
authorsigoden <sigoden@gmail.com>2024-07-10 18:53:32 +0800
committerGitHub <noreply@github.com>2024-07-10 18:53:32 +0800
commit732eae532c8e8632db95ab80e0dde5071e744386 (patch)
tree94e9f6d15b64cff5a26d6bbf44f16c53deb8c324 /tools/execute_command.sh
parent01e07c0cc0be0b1600d688616d12ad0afa9edc71 (diff)
downloadllm-functions-docker-732eae532c8e8632db95ab80e0dde5071e744386.tar.gz
feat: adjust the way of returning data to LLM (#69)
Diffstat (limited to 'tools/execute_command.sh')
-rwxr-xr-xtools/execute_command.sh13
1 files changed, 10 insertions, 3 deletions
diff --git a/tools/execute_command.sh b/tools/execute_command.sh
index 6acc021..0e04b85 100755
--- a/tools/execute_command.sh
+++ b/tools/execute_command.sh
@@ -1,11 +1,18 @@
#!/usr/bin/env bash
set -e
-# @describe Runs a shell command.
+# @describe Runs the shell command.
# @option --command! The command to execute.
main() {
- eval "$argc_command"
+ if [ -t 1 ]; then
+ read -r -p "Are you sure you want to continue? [Y/n] " ans
+ if [[ "$ans" == "N" || "$ans" == "n" ]]; then
+ echo "Aborted!"
+ exit 1
+ fi
+ fi
+ eval "$argc_command" >> "$LLM_OUTPUT"
}
-eval "$(argc --argc-eval "$0" "$@")" \ No newline at end of file
+eval "$(argc --argc-eval "$0" "$@")"